PARTX(8)

BEZEICHNUNG
partx - Teilt dem Linux-Kernel die Verfügbarkeit und Nummerierung der Partitionen auf Platten mit

ÜBERSICHT
partx [-a | -d | -s | -u] [-t TYP] [-n M:N] [-] Platte
partx [-a | -d | -s | -u] [-t TYP] Partition [Platte]

BESCHREIBUNG
Nach Angabe eines Gerätes oder Festplatten-Images versucht partx die Partitionstabelle und deren Inhalt einzulesen. Optional kann es Partitionen hinzufügen oder entfernen.

Das Argument Platte ist optional, wenn eine Partition angegeben wird. Um eine Partition so einzulesen, als ob sie eine ganze Festplatte wäre (um beispielsweise eingebettete Unterpartitionen anzeigen zu lassen), verwenden Sie »-« als Argument. Beispiel:

    partx --show - /dev/sda3

Dadurch wird sda3 als Gesamtlaufwerk und nicht als Partition betrachtet.

Dies ist kein fdisk-Programm! Das Hinzufügen und Entfernen von Partitionen ändert nichts am Laufwerk, es wird lediglich dem Kernel die Präsenz und Nummerierung der Partitionen auf dem Laufwerk mitgeteilt.

OPTIONEN

-a, --add
    fügt die angegebenen Partitionen hinzu oder ermittelt den Inhalt des Laufwerks und fügt alle Partitionen hinzu.

-b, --bytes
    gibt die Spalte GRÖSSE in Bytes anstatt in einem menschenlesbaren Format aus.

-d, --delete
    löscht die angegebenen Partitionen oder alle Partitionen.

-u, --update
    aktualisiert die angegebenen Partitionen.

-g, --noheadings
    gibt keine Kopfzeile aus.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-l, --list
    listet die Partitionen auf. Beachten Sie, dass sich alle Zahlenangaben auf die Anzahl der 512 Bytes großen Sektoren beziehen. Bitte verwenden Sie dieses Listenformat nicht in neuen Skripten, da das Ausgabeformat von --show in jedem Falle vorzuziehen ist.

-o, --output Liste
    gibt die für die Ausgabe von --show und --raw zu verwendenden Spalten an. Falls keine Ausgabeanordnung angegeben ist, wird die Vorgabe verwendet. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Diese Option kann nicht mit --add, --delete oder --list kombiniert werden.

-P, --pairs
    veranlasst die Ausgabe im Format Schlüssel="Wert".

-n, --nr M:N
    gibt den Bereich der Partitionen an. Zwecks Abwärtskompatibilität wird auch das Format M–N unterstützt. Der Bereich darf negative Zahlen enthalten, zum Beispiel bezeichnet --nr :-1 die letzte und --nr -2:-1 die letzten beiden Partitionen. Folgende Bereichsangaben werden unterstützt:

    M   gibt genau eine Partition an (z.B. --nr 3).

    M:  gibt nur die untere Grenze an (z.B. --nr 2:).

    :N  gibt nur die obere Grenze an (z.B. --nr :4).

    M:N oder
    M–N
        gibt die untere und obere Grenze an (z.B. --nr 2:4).

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-s, --show
    listet die Partitionen auf. Alle Zahlenangaben (außer GRÖSSE) beziehen sich auf die Anzahl der 512 Bytes großen Sektoren. Die Anordnung der Ausgabespalten kann mit der Option --output angepasst werden.

-t, --type Typ
    gibt den Typ der Partitionstabelle an: aix, bsd, dos, gpt, mac, minix, sgi, solaris_x86, sun, ultrix oder unixware.

-v, --verbose
    aktiviert den ausführlichen Modus.

BEISPIELE

partx --show /dev/sdb3
partx --show --nr 3 /dev/sdb
partx --show /dev/sdb3 /dev/sdb
    Alle drei Befehle listen Partition 3 auf /dev/sdb auf.

partx --show - /dev/sdb3
    listet alle Unterpartitionen auf /dev/sdb3 auf (wobei das Gerät als Gesamtlaufwerk betrachtet wird).

partx -o START -g --nr 5 /dev/sdb
    gibt den Anfangssektor auf Partition 5 auf /dev/sda ohne Kopfzeile aus.

partx -o SEKTOREN,GRÖSSE /dev/sda5 /dev/sda
    listet die Länge der Partition 5 auf /dev/sda in Sektoren in einem menschenlesbaren Format auf.

partx --add --nr 3:5 /dev/sdd
    fügt alle verfügbaren Partitionen von 3 bis einschließlich 5 auf /dev/sdd hinzu.

partx -d --nr :-1 /dev/sdd
    Entfernt die letzte Partition auf /dev/sdd.

SIEHE AUCH
addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

AUTOREN
Davidlohr Bueso (dave@gnu.org)
Karel Zak (kzak@redhat.com)

Die ursprüngliche Version wurde geschrieben von Andries E. Brouwer (aeb@cwi.nl).

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=0xffff
    aktiviert die Debug-Ausgabe.

VERFÜGBARKEIT
Der Befehl partx ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.